JSP UseBean : MyEclipse for Spring Version: 8.6

Home Forums MyEclipse IDE Java EE Development (EJB, JSP, Struts, XDoclet, etc.) JSP UseBean : MyEclipse for Spring Version: 8.6

This topic contains 1 reply, has 2 voices, and was last updated by Profile photo of support-swapna support-swapna 3 years, 10 months ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #318055

    Hi There,

    org.apache.jasper.JasperException: Unable to compile class for JSP:

    Can anybody help me in solving the above error in MyEclipse for Spring Version: 8.6.

    It seems like class path issue but couldn’t able to identify it.

    I appreciate your help in this.

    #318083
    Profile photo of support-swapna
    support-swapna
    Moderator

    lovetolearn567,

    Sorry that you ran into this issue.

    Can you answer some more questions for me to understand the issue better?

    1) On which application server are you running this JSP? Also share the version of the server.

    2) Make sure that your classpath and path variables are set properly. Also see whether servlet.jar file exist in lib dir of tomcat. Some times not having the appropriate jar files may cause the problem. Also make sure that tools.jar is in tomcat/common/lib directory.

    3) Make sure the JSPs are in appropriate directory structure. Place them under a package and check the imports for possible errors.

    4) Can you please copy paste the entire error here from the .log file located at <workspace dir>/.metadata/.log ?

    5) Also take a look at these threads which may help you :

    http://wiki.apache.org/tomcat/FAQ/Miscellaneous#compile
    http://www.jguru.com/forums/view.jsp?EID=1550991
    http://www.coderanch.com/t/458427/JBoss/JSP-Exception-only-JBoss-not

    Let me know how this works for you.

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.